import a from"handlebars";export default a.compile("./kafka-console-consumer.sh --bootstrap-server \"{{{bootstrapServers}}}\" \\\n  {{#if applicationDetails.groupId}}\n  --group \"{{{applicationDetails.groupId}}}\" \\\n  {{else}}\n  --group \"<Group Id>\" \\\n  {{/if}}\n  {{#if operationBindings.clientId}}\n  --consumer-property \"client.id={{{operationBindings.clientId}}}\" \\\n  {{else}}\n  {{#if enforced}}\n  --consumer-property \"client.id=<Client Id>\" \\\n  {{/if}}\n  {{/if}}\n  --key-deserializer \"{{kafkaKey.deserializerClass}}\" \\\n  --value-deserializer \"{{schema.deserializerClass}}\" \\\n  --consumer-property \"security.protocol={{securityDetails.securityProtocol}}\" \\\n  {{#if securityDetails.SASL}}\n  --consumer-property \"sasl.mechanism={{securityDetails.saslMechanism}}\" \\\n  --consumer-property \"sasl.jaas.config={{securityDetails.saslJaasModule}} required username=\\\"{{securityDetails.saslUsername}}\\\" password=\\\"<SASL_PASSWORD>\\\";\" \\\n  {{/if}}\n  {{#if securityDetails.MUTUAL_TLS}}\n  --consumer-property \"ssl.keystore.location=<path to keystore>\" \\\n  --consumer-property \"ssl.keystore.password=<keystore password>\" \\\n  --consumer-property \"ssl.keystore.type=<keystore type>\" \\\n  --consumer-property \"ssl.truststore.location=<path to truststore>\" \\\n  --consumer-property \"ssl.truststore.password=<truststore password>\" \\\n  --consumer-property \"ssl.truststore.type=<truststore type>\" \\\n  {{else}}\n    {{#if securityDetails.SSL}}\n  --consumer-property \"ssl.truststore.location=<path to truststore>\" \\\n  --consumer-property \"ssl.truststore.password=<truststore password>\" \\\n  --consumer-property \"ssl.truststore.type=<truststore type>\" \\\n    {{/if}}\n  {{/if}}\n  --topic \"{{channel}}\"");